<template>
  <div class="relative bg-white min-h-screen" v-if="isShown" ref="rootRef">
    <div class="pt-16 pb-80 sm:pt-24 sm:pb-40 lg:pt-40 lg:pb-48">
      <div class="relative mx-auto max-w-7xl px-4 sm:static sm:px-6 lg:px-8">
        <div class="sm:max-w-lg">
          <h1 class="font text-4xl font-bold tracking-tight text-gray-900 sm:text-6xl">
            {{$t('home.promo.title')}}
          </h1>
          <p class="mt-4 text-xl text-gray-500">
            {{$t('home.promo.description')}}
          </p>
        </div>
        <div>
          <div class="mt-10">
            <!-- Decorative image grid -->
            <div aria-hidden="true" class="pointer-events-none hidden lg:block">
              <div class="absolute transform sm:left-1/2 sm:top-0 sm:translate-x-8 lg:left-1/2 lg:top-1/2 lg:-translate-y-1/2 lg:translate-x-8">
                <div class="flex items-center space-x-6 lg:space-x-8">
                  <div class="grid flex-shrink-0 grid-cols-1 gap-y-6 lg:gap-y-8">
                    <div class="h-64 w-44 overflow-hidden rounded-lg sm:opacity-0 lg:opacity-100">
                      <nuxt-img
                        src="/backetRestaurant/restaurant-card-0.jpg"
                        width="300"
                        height="300"
                        loading="lazy"
                        class="h-full w-full object-cover object-center"
                      />
                    </div>
                    <div class="h-64 w-44 overflow-hidden rounded-lg">
                      <nuxt-img
                        src="/backetRestaurant/restaurant-card-1.jpg"
                        width="300"
                        height="300"
                        loading="lazy"
                        class="h-full w-full object-cover object-center"
                      />
                    </div>
                  </div>
                  <div class="grid flex-shrink-0 grid-cols-1 gap-y-6 lg:gap-y-8">
                    <div class="h-64 w-44 overflow-hidden rounded-lg">
                      <nuxt-img
                        src="/backetRestaurant/restaurant-card-2.jpg"
                        width="300"
                        height="300"
                        loading="lazy"
                        class="h-full w-full object-cover object-center"
                      />
                    </div>
                    <div class="h-64 w-44 overflow-hidden rounded-lg">
                      <nuxt-img
                        src="/backetRestaurant/restaurant-card-3.jpg"
                        width="300"
                        height="300"
                        loading="lazy"
                        class="h-full w-full object-cover object-center"
                      />                    </div>
                    <div class="h-64 w-44 overflow-hidden rounded-lg">
                      <nuxt-img
                        src="/backetRestaurant/restaurant-card-4.jpg"
                        width="300"
                        height="300"
                        loading="lazy"
                        class="h-full w-full object-cover object-center"
                      /> 
                    </div>
                  </div>
                  <div class="grid flex-shrink-0 grid-cols-1 gap-y-6 lg:gap-y-8">
                    <div class="h-64 w-44 overflow-hidden rounded-lg">
                      <nuxt-img
                        src="/backetRestaurant/restaurant-card-0.jpg"
                        width="300"
                        height="300"
                        loading="lazy"
                        class="h-full w-full object-cover object-center"
                      /> 
                    </div>
                    <div class="h-64 w-44 overflow-hidden rounded-lg">
                      <nuxt-img
                        src="/backetRestaurant/restaurant-card-1.jpg"
                        width="300"
                        height="300"
                        loading="lazy"
                        class="h-full w-full object-cover object-center"
                      /> 
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <button
              type="button"
              href="#restaurants"
              class="inline-block rounded-md border border-transparent bg-indigo-600 py-3 px-8 text-center font-medium text-white hover:bg-indigo-700"
              @click="handleClick"
            >
              {{$t('home.promo.callToAction')}}
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { useIntersectionObserver } from "@vueuse/core"

  const expiresDate = new Date(Math.round(Date.now() + (2 * 24 * 60 * 60 * 1000)))
  const hidenCookie = useCookie('hiden-home-promo', {
    expires: expiresDate,
    httpOnly: false,
    default: () => 'shown',
  })
  const isShown = ref(true)

  const rootRef = ref<HTMLElement>()


  watch(hidenCookie, (value) => isShown.value = value !== 'hidden', { immediate: true })

  useIntersectionObserver(rootRef, ([{isIntersecting}]) => {
    if (isIntersecting === false) {
      hidenCookie.value = 'hidden'
    }
  })

  const handleClick = () => {
    const targetElement = document.getElementById('restaurants')

    targetElement.scrollIntoView({
      block: 'start',
      behavior: 'smooth',
    })

    // setTimeout(() => {
    //   hidenCookie.value = 'hidden'
    // }, 1000)
  }
</script>